export default {
  formatDate (date) {
    if (!date) return ''
    return new Date(date).toLocaleDateString()
  },
  formatDateTime (date) {
    if (!date) return ''
    return new Date(date).toLocaleString()
  },
  hasPermission (user, permission, scope) {
    if (!user?.permissions || !permission) return false
    return user.permissions[scope || 'global']?.indexOf(permission) > -1
  }
}
